@mixin container {
    width: 100%;
    max-width: 1100px;
    margin: 0 auto;
}

@mixin module {
    padding: $mobile-padding;
    box-shadow: $box-shadow;
    background: white;
    position: relative;
    margin-bottom: 20px;
    border-radius: 4px;

    @media(min-width: 600px) {
        padding: $desktop-padding;
        margin-bottom: 20px;
    }
}

@mixin inset-margin {
    margin-left: -$mobile-padding;
    margin-right: -$mobile-padding;

    @media(min-width: 600px) {
        margin-left: -$desktop-padding;
        margin-right: -$desktop-padding;
    }
}

@mixin button {
    transition: .3s;
    padding: 6px 12px;
    border-radius: 4px;
    text-transform: uppercase;
    font-weight: bold;
    font-size: .8rem;
}

@mixin unstyled-list {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

@mixin flex($d:flex, $y: flex-start, $x: flex-start) {
    display: $d;
    align-items: $y;
    justify-content: $x;
}

@mixin with-sidebar($pos) {
    display: grid;
    gap: 20px;

    @media (min-width: 768px) {

        @if $pos == 'right' {
            grid-template-columns: 1fr 300px;
        }

        @if $pos == 'left' {
            grid-template-columns: 300px 1fr;
        }
    }
}

@mixin scrollbar() {
    &::-webkit-scrollbar {
        width: 10px;
        background: #f3f3f3;
        border-radius: 5px;
    }

    &::-webkit-scrollbar-thumb {
        background: $grey;
        border-radius: 10px;
        border: 2px solid #f3f3f3;
    }
}

@mixin dot {
    content: '';
    height: 6px;
    width: 6px;
    background: $lighter;
    border-radius: 50%;
    display: inline-block;
    margin: 0 6px 0 8px;
    margin-bottom: 1px;
    opacity: .3;
}

@mixin corner($y, $x) {
    border-#{$y}-#{$x}-radius: 30px;
}
